#pragma once

#include <vector>

#include "ProcessedData.h"
#include "AnnotationData.h"

using namespace std;

class DataAnnotator
{
public:
	DataAnnotator();
	virtual ~DataAnnotator();
	AnnotationData* annotate(ProcessedData* processedData);
	virtual bool isAnnotationStart(ProcessedData* data) = 0;
	virtual bool isAnnotationEnd(ProcessedData* data) = 0;
	virtual string classify(vector<ProcessedData*>* dataSegment) = 0;
private:
	void clearAnnotatedSegment();
	vector<ProcessedData*>* annotatedSegment;
	bool collectSegment;
	int frameIndex;
	AnnotationData* annotationData;
};

