#pragma once

#include "RawData.h"
#include "ImageData.h"
#include "AnnotationData.h"
#include "elan.h"

class DataRecorder
{
public:
	DataRecorder(string videoFile, double fps, int frameWidth, int frameHeight, string elanFile, string tierName);
	virtual ~DataRecorder();
	virtual void writeRawData(RawData* rawData) = 0;
	void writeData(RawData* rawData, ImageData* imageData, AnnotationData* annotationData);
private:
	void writeImageData(ImageData* imageData);
	void writeAnnotationData(AnnotationData* annotationData);
	string videoFile;
	double fps;
	int frameWidth;
	int frameHeight;
	string elanFile;
	string tierName;
	VideoWriter videoWriter;
	CElan* elan;
};

