/** 
  \file elanQueryResult.h
  \brief Declaration of the class to store result of the Elan file query.
  \version 2.0
  \date July 2012
  \author Tomasz Kapuscinski (tomekkap@prz-rzeszow.pl) and Dawid Warchol (dawwar@o2.pl)
 */

#ifndef __ELAN_QUERY_RESULT_H
#define __ELAN_QUERY_RESULT_H

#include <string>
#include <vector>
#include "annotation.h"

using namespace std;

class CElanQueryResult
{
    public:
		CElanQueryResult(){};
		CElanQueryResult(string p_szFile, CAnnotation p_oAnnotation);
		void Print();
		void SetFile(string p_szFile);
		string GetFilePath();
		void SetAnnotation(CAnnotation p_oAnnotation);
		CAnnotation GetAnnotation();
		int GetStartFrameIndex();
		int GetStopFrameIndex();		
	private:
        string m_szFile;
        CAnnotation m_oAnnotation;
};

#endif
